edu.sc.seis.sod.source.event

## Interface EventSource

- All Superinterfaces:
    Source
  All Known Implementing Classes:
    AbstractEventSource, BackwardsEventFinder, CSVEventSource, DelayedEventSource, EventFinder, FdsnEvent, NowFakeEventSource, PeriodicFakeEventSource, SimpleEventSource

      public interface EventSource
      extends Source

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()`
    `edu.sc.seis.fissuresUtil.time.MicroSecondTimeRange` | `getEventTimeRange()`
    `edu.iris.Fissures.model.TimeInterval` | `getWaitBeforeNext()` If the source needs to wait for more events to arrive, it should return the amount of time it wants to wait with this method.
    `boolean` | `hasNext()`
    `edu.sc.seis.fissuresUtil.cache.CacheEvent[]` | `next()`

    - ### Methods inherited from interface edu.sc.seis.sod.source.Source

      `appendToName, getName, getRetries`

- - ### Method Detail

    - #### hasNext

          boolean hasNext()

      Returns:
        - false when this event source will return no new events from calls to next

    - #### next

          edu.sc.seis.fissuresUtil.cache.CacheEvent[] next()

      Returns:
        - the next set of events. Events can be returned from this method multiple times

    - #### getWaitBeforeNext

          edu.iris.Fissures.model.TimeInterval getWaitBeforeNext()

      If the source needs to wait for more events to arrive, it should return the amount of time it wants to wait with this method.

    - #### getEventTimeRange

          edu.sc.seis.fissuresUtil.time.MicroSecondTimeRange getEventTimeRange()

      Returns:
        - a MicroSecondTimeRange starting at least as early as the earliest event and ending at least as late as the latest event. No event should be returned by this source with an origin before the begin time or after the end time of this range.

    - #### getDescription

          java.lang.String getDescription()